### Method

# Cogl Pipeline set_color4f

#### Declaration [src]

    void
    cogl_pipeline_set_color4f (
      CoglPipeline* pipeline,
      float red,
      float green,
      float blue,
      float alpha
    )

#### Description [src]

Sets the basic color of the pipeline, used when no lighting is enabled.

The default value is (1.0, 1.0, 1.0, 1.0)

#### Parameters

`red`

  Type: `float`

  The red component.

`green`

  Type: `float`

  The green component.

`blue`

  Type: `float`

  The blue component.

`alpha`

  Type: `float`

  The alpha component.